/*
Sistema di base per gestire due servomotori
Parte del corso di robotica CodemotionKids 2015 
http://www.codemotionkids.com/

Autore: Paolo De Gasperis
paolo@discienza.org


*/


#include <Servo.h> // carico la libreria Servo che contiene le istruzioni per Arduino necessarie a gestire i servomotori

// Creo i due motori con la funzione Servo
Servo motoreSinistro;  
Servo motoreDestro;

void setup()
{
  Serial.begin(9600);     // Inizializza la comunicazione con la seriale a 9600 bit per secondo
  motoreSinistro.attach(11); // attacco il motore sinistro al pin 11
  motoreDestro.attach(10);  // attacco il motore destro al pin 10
}


void loop() 
{
  motoreDestro.write(180);  // il motore destro gira in una direzione
  motoreSinistro.write(0);  // il motore sinistro gira in quella opposta ma poichè sono messi di fronte girano nella stessa direzione
  Serial.print("vado");    // faccio scrivere la parola vado così dal seriale capisco che sta andando avanti
 
}




